<?php

$object = gulf_get_display_object();
if (!$object) {
	return;
}

$buttons = $object->getField('buttons');
if (empty($buttons)) {
	return;
}

?>
<div id="elements-buttons">
	<div class="row">
		<?php
		foreach ($buttons as $i => $button) {
			$button = (object) $button;
			
			$title = apply_filters('gulf_elements_button_title',$button->title,$button);
			
			$icon = $button->icon;
			$iconparts = explode('-',$icon);
			if (count($iconparts) > 1) {
				if ($iconparts[0] == 'gulf') {

				} else {
					$icon = '<i class="fa fa-3x '.$icon.'" aria-hidden="true"></i>';
				}
			}


			$link = $button->link;
			if (empty($link) || !is_string($link)) {
				$link = apply_filters('gulf_elements_button_url',$button->url,$button);
			}
			
			$target = isset($button->new_window) && $button->new_window? 'target="_blank"' : '';
			
			$classes = apply_filters('gulf_elements_button_classes','elements-button',$button);
			

			?>
			<div class="columns medium-<?php print 12/count($buttons) ?>">
				<a href="<?php print $link ?>" <?php print $target ?> class="<?php print $classes ?>"  >
					<?php print $icon ?>
					<h3><?php print $title ?></h3>
					<i class="fa fa-chevron-right fa-2x" aria-hidden="true"></i>
				</a>
			</div>
			<?php
		}
		?>
	</div>
</div>


